AccountLockedException (Java SE 17 & JDK 17)
Description: declaration: module: java.base, package: javax.security.auth.login, class: AccountLockedException
Keywords: javax.security.auth.login.AccountLockedException class

Module java.base
Package javax.security.auth.login

# Class AccountLockedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.security.auth.login.LoginException
javax.security.auth.login.AccountException
javax.security.auth.login.AccountLockedException

All Implemented Interfaces:
  `Serializable`

public class AccountLockedException extends AccountException
Signals that an account was locked.

This exception may be thrown by a LoginModule if it determines that authentication is being attempted on a locked account.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountLockedException()`
  Constructs a AccountLockedException with no detail message.
  `AccountLockedException(String msg)`
  Constructs a AccountLockedException with the specified detail message.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccountLockedException

    public AccountLockedException()
    Constructs a AccountLockedException with no detail message. A detail message is a String that describes this particular exception.

  - ### AccountLockedException

    public AccountLockedException(String msg)
    Constructs a AccountLockedException with the specified detail message. A detail message is a String that describes this particular exception.
    Parameters:
      `msg` - the detail message.